# MatPartitioningApply

Gets a partitioning for a matrix.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode PETSCMAT_DLLEXPORT MatPartitioningApply(MatPartitioning matp,IS *partitioning)

Collective on Mat

### Input Parameters

matp -the matrix partitioning object

### Output Parameters

partitioning -the partitioning. For each local node this tells the processor number that that node is assigned to.

### Options Database Keys

To specify the partitioning through the options database, use one of the following

       -mat_partitioning_type parmetis, -mat_partitioning current

To see the partitioning result

       -mat_partitioning_view

The user can define additional partitionings; see MatPartitioningRegisterDynamic().

### Keywords

matrix, get, partitioning

### See Also

MatPartitioningRegisterDynamic(), MatPartitioningCreate(),
MatPartitioningDestroy(), MatPartitioningSetAdjacency(), ISPartitioningToNumbering(), ISPartitioningCount()

Level:beginner
Location: src/mat/partition/partition.c
Index of all MatOrderings routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ksp/ksp/examples/tutorials/ex10.c.html
src/dm/ao/examples/tutorials/ex2.c.html